this.mapper        = mapperFactory.createMapperMult([ "EstProdEstArvMercadologica", "EstProd" ]);
this.jsonConvert   = new com.google.gson.GsonBuilder( ).create( );
this.i             = 0;
if (message.get( "obj" )) {
  var obj = message.get( "obj" );
} else {
  var obj = mapperFactory.createMap( );
  obj.put( 0, message );
}

try {
  for ( this.i = 0; this.i < obj.size( ); this.i++ ) {
    var item         = obj.get( this.i );
    this.mapper.insert("EstProdEstArvMercadologica.alterarEstProdEstArvMercadologica", item);
  }

  this.mapper.commit( );
  obj;
} catch ( err ) {
  java.lang.System.out.println( err );
  this.mapper.rollback( );
  //gravaErro(itemValidado,err);
  if ( err.code ) {
    throw JSON.stringify( err );
  }
  throw "{erro:true,  message:'" + escape( err ) + "'}";
}
